Subject: Re: Could the DTS experts look at this?

From: Timur Tabi <[email-masked]>
Date: Tue, 12 Feb 2008 17:41:12 -0600

David Gibson wrote:

> I'm not sure I'm entirely happy about storing the fragments under a
> special node - but certainly u-boot could do that if it wants.  What
> would certainly be ok is to store various fragments as separate blobs
> and fold them together as necessary.  Which reminds me, I meant to
> implement a "graft" function in libfdt.

Most likely, U-Boot would strip out the special node after processing it.  The 
idea is for the boot loader to customize the device tree based before sending it 
to the kernel.

-- 
Timur Tabi
Linux kernel developer at Freescale